package com.steerinfo.baseinfo.meterbasecarblacelist.service;

import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasecarblacelist.model.MeterBaseCarBlacelist;

import java.util.HashMap;
import java.util.List;

/**
 * MeterBaseCarBlacelist服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-22 10:31
 * 类描述
 * 修订历史：
 * 日期：2020-06-22
 * 作者：generator
 * 参考：
 * 描述：MeterBaseCarBlacelist服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseCarBlacelistService extends IBaseService<MeterBaseCarBlacelist, String>{
     String checkandadd(MeterBaseCarBlacelist model);

     String Recovery(List<MeterBaseCarBlacelist> models);

     String cancel(List<MeterBaseCarBlacelist> models);

     String checkandupdate(String id,MeterBaseCarBlacelist model);

     String abolish(List<MeterBaseCarBlacelist> models);
     RESTfulResult blackCarByCarNo(HashMap<String, Object> parmas);
     RESTfulResult allBlackCarByCarNo();
}